Bug 235598 - devel/hub: add GIT_SUBVERSION option
Summary: devel/hub: add GIT_SUBVERSION option
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Vinícius Zavam
URL: https://reviews.freebsd.org/D19028
Keywords: easy, patch
Depends on:
Blocks:
 
Reported: 2019-02-08 12:55 UTC by Steve Wills
Modified: 2019-02-15 09:09 UTC (History)
4 users (show)

See Also:
egypcio: maintainer-feedback+


Attachments
initial patch (892 bytes, patch)
2019-02-08 12:55 UTC, Steve Wills
swills: maintainer-approval? (egypcio)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills freebsd_committer 2019-02-08 12:55:36 UTC
Created attachment 201838 [details]
initial patch

Add an option to use git-subversion with hub instead of git.
Comment 1 Vinícius Zavam freebsd_committer 2019-02-08 17:44:00 UTC
(In reply to Steve Wills from comment #0)

hey swills, hi.

I merged your patch to the one I have on https://reviews.freebsd.org/D19028 - an update for 'devel/hub' to version 2.8.4 (still pending).

as soon as I get it into the tree, your suggestion should also land together :)

thank you very much for the patch! appreciated though

KR,
Comment 2 Vinícius Zavam freebsd_committer 2019-02-08 17:45:51 UTC
  adding mentors in CC
Comment 3 Steve Wills freebsd_committer 2019-02-12 19:28:26 UTC
What's the status of this?
Comment 4 Vinícius Zavam freebsd_committer 2019-02-14 12:26:07 UTC
(In reply to Steve Wills from comment #3)

Hi Steve,
how are things?

I'm writing here so others can also track the status: I did merge your patch to be integrated together with a port version update. Should land soon, after an 'OK' from the mentors.

New URL is https://reviews.freebsd.org/D19028
Comment 5 commit-hook freebsd_committer 2019-02-15 09:06:17 UTC
A commit references this bug:

Author: egypcio
Date: Fri Feb 15 09:06:00 UTC 2019
New revision: 492983
URL: https://svnweb.freebsd.org/changeset/ports/492983

Log:
  devel/hub: update 2.7.0 to 2.9.0

    - Shell Completion Files are installed by default;
    - remove *_RUN_DEPENDS from the shell completion options;
    - new option to chose backend to be used (D19117).

  PR:		235598
  Submitted by:	swills
  Approved by:	rene (mentor)
  Differential Revision:	https://reviews.freebsd.org/D19028

Changes:
  head/devel/hub/Makefile
  head/devel/hub/distinfo